%define name lkcdutils
%define version 4.1
%define rel 1

Name: %{name}
Summary: Linux Kernel Crash Dump (LKCD) Utilities
Version: %{version}
Release: %{rel}.22ml
Copyright: GPL
Group: Utilities/System
Source: %{name}-%{version}-%{rel}.tar.gz
Patch0: %{name}-4.1-makefile.patch
Patch1: %{name}-4.1-sysconfig.patch
Patch2: %{name}-4.1-sbin.lkcd.patch
Patch3: %{name}-4.1-lkstdump.patch
Patch4: %{name}-4.1-page.patch
Patch5: %{name}-4.1-AS.patch
Patch6: %{name}-4.1-ps-sial.patch
Patch7: %{name}-4.1-sbin.lkcd.pae.patch
Patch10: %{name}-4.1-pae.patch
URL: http://oss.sgi.com/projects/lkcd/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: /usr/bin/yacc
Requires: ksymoops

%description
This software package contains system crash dump analyzer tools.
It includes Linux Crash (lcrash) and all appropriate user level
scripts required for saving and configuring system crash dumps.
This package should be installed after the lkcd kernel patches are
installed on the system.

%package source
Summary: The source code for %{name}-%{version}.
Group: Utilities/System

%description source
This software package includes all source code for any programs
and scripts required to support system crash dumps on a Linux
machine.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
./configure
# build lcrash and lkcd_ksyms for PAE
patch -p1 < %{PATCH10}
make
cp lcrash/lcrash lcrash/lcrash.pae
cp lkcd_ksyms/lkcd_ksyms lkcd_ksyms/lkcd_ksyms.pae
make clean
# build lkcdutils tools for normale 
patch -p1 -R < %{PATCH10}
make

%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}
cp -a README* $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}
cp -a docs/lcrash/lcrash-howto $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}
install -m 755 lcrash/lcrash.pae $RPM_BUILD_ROOT/sbin/lcrash.pae
install -m 755 lkcd_ksyms/lkcd_ksyms.pae $RPM_BUILD_ROOT/sbin/lkcd_ksyms.pae

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config /etc/sysconfig/dump
/sbin/lcrash
/sbin/lcrash.pae
/sbin/lkcd
/sbin/lkcd_ksyms
/sbin/lkcd_ksyms.pae
/sbin/lkcd_config
%dir /usr/include/lkcd
/usr/include/lkcd/*
%dir /usr/lib/lkcd
/usr/lib/lkcd/*
/usr/share/man/man1/*
%dir /usr/share/doc/%{name}-%{version}
/usr/share/doc/%{name}-%{version}/*
%ifarch i386 i586 i686
%dir /usr/share/sial
/usr/share/sial/lcrash
/usr/lib/libsial.a
/usr/include/sial_api.h
%endif

%changelog
* Tue Dec 03 2002 Tatsuo Ito <tito@miraclelinux.com> 4.1-1.22ml
- fix the problem of enterprise kernel

* Wed Nov 27 2002 Yasuma Takeda <yasuma@miraclelinux.com> 4.1-1.20ml
- rebuild for LKST v1.3

* Wed Nov 27 2002 Tatsuo Ito <tito@miraclelinux.com> 4.1-1.18ml
- fix syntax error in ps.sial on AS kernel

* Thu Nov 21 2002 Tatsuo Ito <tito@miraclelinux.com> 4.1-1.16ml
- modify sbin.lkcd patch to delete the rows where symbol type is not addressed,
  in ksymoops system map.

* Fri Oct 18 2002 Tatsuo Ito <tito@miraclelinux.com> 4.1-1.14ml
- page, lcrash's subcommand, can be executed. 
- task command can be executed on AS kernel

* Tue Jul 02 2002 Tatsuo Ito <tito@miraclelinux.com> 4.1-1.12ml
- modify /sbin/lkcd to work immediately after OS installation

* Mon Jul 01 2002 Tatsuo Ito <tito@miraclelinux.com> 4.1-1.10ml
- modify /sbin/lkcd not to fail lkcd command without /boot/.last_kver

* Sun Jun 30 2002 Tatsuo Ito <tito@miraclelinux.com> 4.1-1.8ml
- The mode of /etc/sysconfig/dump is changed: 755 -> 644

* Fri Jun 28 2002 Tatsuo Ito <tito@miraclelinux.com>
- modify sysconfig.patch
- add sbin.lkcd patch to add $KVER
- add lkstdump patch for LKST
- add Requires tag: ksymoops
- modify sbin.lkcd to erase ksymoops error

* Thu Jun 27 2002 Tatsuo Ito <tito@miraclelinux.com>
- add sysconfig patch

* Thu Jun 27 2002 Tatsuo Ito <tito@miraclelinux.com>
- first version

